# Rally Rush: src/beam.hpp File Reference

Loading...
Searching...
No Matches
beam.hpp File Reference
`#include <godot_cpp/classes/area3d.hpp>`
`#include <godot_cpp/classes/capsule_mesh.hpp>`
`#include <godot_cpp/classes/capsule_shape3d.hpp>`
`#include <godot_cpp/classes/collision_shape3d.hpp>`
`#include <godot_cpp/classes/mesh.hpp>`
`#include <godot_cpp/classes/mesh_instance3d.hpp>`
`#include <godot_cpp/classes/shape3d.hpp>`

Go to the source code of this file.

## Classes

class | godot::Beam
| Area3D with a MeshInstance3D that resizes itself based on a from and to position and damages any objects that enter it. Requires a child collision shape and mesh instance. Both with Capsule primitive shapes. More...

## Namespaces

namespace | godot